# Class ServiceNotification

java.lang.Object
java.util.EventObject
javax.management.Notification
com.sun.messaging.jms.management.server.MQNotification
com.sun.messaging.jms.management.server.ServiceNotification

All Implemented Interfaces:
  `Serializable`

public class ServiceNotification extends MQNotification
Class containing information on service notifications.

The MQ specific fields in this notification is TBD.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `SERVICE_PAUSE`
  A service was paused.
  `static final String`
  `SERVICE_RESUME`
  A service was resumed.

  ### Fields inherited from class MQNotification

  `PREFIX`

  ### Fields inherited from class Notification

  `source`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ServiceNotification(String type, Object source, long sequenceNumber)`
  Creates a ServiceNotification object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getServiceName()`
  `void`
  `setServiceName(String serviceName)`

  ### Methods inherited from class Notification

  `getMessage, getSequenceNumber, getTimeStamp, getType, getUserData, setSequenceNumber, setSource, setTimeStamp, setUserData, toString`

  ### Methods inherited from class EventObject

  `getSource`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### SERVICE_PAUSE

    public static final String SERVICE_PAUSE
    A service was paused.
    See Also:
      - Constant Field Values

  - ### SERVICE_RESUME

    public static final String SERVICE_RESUME
    A service was resumed.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ServiceNotification

    public ServiceNotification(String type, Object source, long sequenceNumber)
    Creates a ServiceNotification object.
    Parameters:
      `type` - The notification type.
      `source` - The notification source.
      `sequenceNumber` - The notification sequence number within the source object.

- ## Method Details

  - ### setServiceName

    public void setServiceName(String serviceName)

  - ### getServiceName

    public String getServiceName()